--- ../../../../centos4/trunk/rpms/kernel/SPECS/kernel-2.6.spec	2007-09-04 19:05:35.000000000 -0500
+++ SPECS/kernel-2.6.spec	2007-09-07 06:43:47.000000000 -0500
@@ -1,5 +1,15 @@
 summary: the linux kernel (the core of the linux operating system)
 
+#The CentOSPlus unsupported kernel is currently only for i586, i686, x86_64. 
+ExcludeArch: alpha
+ExcludeArch: sparc
+ExcludeArch: sparc64
+ExcludeArch: ppc
+ExcludeArch: ppc64
+ExcludeArch: ia64
+ExcludeArch: s390
+ExcludeArch: s390x
+
 # What parts do we want to build?  We must build at least one kernel.
 # These are the kernels that are built IF the architecture allows it.
 
@@ -30,7 +40,7 @@ summary: the linux kernel (the core of t
 # that the kernel isn't the stock distribution kernel, for example by
 # adding some text to the end of the version number.
 #
-%define release 55.0.6.EL
+%define release 55.0.6.plus.c4
 %define sublevel 9
 %define kversion 2.6.%{sublevel}
 %define rpmversion 2.6.%{sublevel}
@@ -222,14 +232,14 @@ Source24: kernel-%{kversion}-i686-hugeme
 Source25: kernel-%{kversion}-x86_64.config
 Source26: kernel-%{kversion}-x86_64-smp.config
 Source27: kernel-%{kversion}-x86_64-largesmp.config
-Source28: kernel-%{kversion}-ppc64.config
-Source29: kernel-%{kversion}-ppc64iseries.config
-Source30: kernel-%{kversion}-s390.config
-Source31: kernel-%{kversion}-s390x.config
-Source32: kernel-%{kversion}-ppc.config
-Source33: kernel-%{kversion}-ia64.config
-Source34: kernel-%{kversion}-ia64-largesmp.config
-Source35: kernel-%{kversion}-ppc64-largesmp.config
+#Source28: kernel-%{kversion}-ppc64.config
+#Source29: kernel-%{kversion}-ppc64iseries.config
+#Source30: kernel-%{kversion}-s390.config
+#Source31: kernel-%{kversion}-s390x.config
+#Source32: kernel-%{kversion}-ppc.config
+#Source33: kernel-%{kversion}-ia64.config
+#Source34: kernel-%{kversion}-ia64-largesmp.config
+#Source35: kernel-%{kversion}-ppc64-largesmp.config
 Source36: kernel-%{kversion}-i686-xenU.config
 Source37: kernel-%{kversion}-x86_64-xenU.config
 
@@ -1409,6 +1419,9 @@ Patch10001: linux-2.6.9-exports.patch
 Patch10002: linux-2.6.9-slab-update.patch
 Patch10003: linux-2.6.9-pci-ids.patch
 
+#centosplus md
+Patch19000: linux-2.6.9-raid-bio-rw-sync.patch
+
 # empty final patch file to facilitate testing of kernel patches
 Patch20000: linux-kernel-test.patch
 
@@ -3561,6 +3574,9 @@ cd linux-%{kversion}
 # patch for pci ids
 %patch10003 -p1
 
+#CentOSPlus md raid patch
+%patch19000 -p1
+
 # make sure the kernel has the sublevel we know it has. This looks weird
 # but for -pre and -rc versions we need it since we only want to use
 # the higher version when the final kernel is released.
@@ -4069,6 +4085,12 @@ fi
 %endif
 
 %changelog
+* Fri Sep  7 2007 Johnny Hughes <johnny@centos.org> [2.6.9-55.0.6.plus.c4]
+- based on centos 2.6.9-55.0.6 kernel
+- rolled in the centosplus configuration files (new kernel-* files in SOURCES)
+- excluded arches that have no centosplus config files at the top of the spec
+- added in patch 19000 for better drbd md support
+
 * Tue Sep  4 2007 Johnny Hughes <johnny@centos.org> [2.6.9-55.0.6]
 - rolled in standard centos changes (build for i586, change genkey to
   genkey.centos, do not terminate build on extra files).
